Name:           nvidia-texture-tools
Version:        2.0.7
Release:        1%{?dist}
Summary:        Collection of image processing and texture manipulation tools

Group:          Applications/Multimedia
License:        MIT
URL:            http://nvidia-texture-tools.googlecode.com
Source0:        http://nvidia-texture-tools.googlecode.com/files/nvidia-texture-tools-%{version}-1.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake
BuildRequires:  glew-devel
BuildRequires:  OpenEXR-devel
BuildRequires:  openssl-devel
BuildRequires:  qt-devel


%description
The NVIDIA Texture Tools is a collection of image processing and texture
manipulation tools, designed to be integrated in game tools and asset
conditioning pipelines.

The primary features of the library are mipmap and normal map generation,
format conversion and DXT compression.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n nvidia-texture-tools


%build
mkdir -p ./build
pushd build
%cmake  -DNVTT_SHARED=1 \
  -DCMAKE_BUILD_TYPE="Release" \
  -DCMAKE_INSTALL_PREFIX=%{_prefix} \
  ..

make %{?_smp_mflags}
popd


%install
rm -rf $RPM_BUILD_ROOT
pushd build
make install DESTDIR=$RPM_BUILD_ROOT

%if "%{_lib}" == "lib64"
mv $RPM_BUILD_ROOT%{_prefix}/lib $RPM_BUILD_ROOT%{_libdir}
%endif
popd

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc NVIDIA_Texture_Tools_LICENSE.txt NVIDIA_Texture_Tools_README.txt
%{_bindir}/nvassemble
%{_bindir}/nvcompress
%{_bindir}/nvddsinfo
%{_bindir}/nvdecompress
%{_bindir}/nvimgdiff
%{_bindir}/nvzoom

%{_libdir}/libnvcore.so
%{_libdir}/libnvimage.so
%{_libdir}/libnvmath.so
%{_libdir}/libnvtt.so

%files devel
%defattr(-,root,root,-)
%{_includedir}/nvtt/nvtt.h
#{_libdir}/*.so


%changelog
* Mon Nov 30 2009 Nicolas Chauvet <kwizart@fedoraproject.org> - 1.1-1
- Initial spec file
